# Great Circle Distance

Plugin for calculating Great Circle Distance by **Spherical Law of Cosines**.

<img style="background-color: white;border-radius: 10%;padding: 20px;width: 80%;max-width: 200px;" alt="Spherical Law of Cosines" src="https://upload.wikimedia.org/wikipedia/commons/thumb/3/38/Law-of-haversines.svg/440px-Law-of-haversines.svg.png">

The great-circle distance, orthodromic distance, or spherical distance is the distance along a great circle. It is the
shortest distance between two points on the surface of a sphere, measured along the surface of the sphere (as opposed to
a straight line through the sphere's interior).

- [Great Circle Distance](https://en.wikipedia.org/wiki/Great-circle_distance)
- [Spherical Law of Cosines](https://en.wikipedia.org/wiki/Spherical_law_of_cosines)

## Usage

```
// The Geolocation of St.Mary Cathedral
final Geo geo1 = Geo(lat: 16.77858116672366, lon: 96.1657684686045);
// The Geolocation of St. Peter's Basilica
final Geo geo2 = Geo(lat: 41.90219864557144, lon: 12.454035933187363);

// The distance in km.
final double? theDistance = await GCD().cal(geo1: geo1, geo2: geo2);
```
